using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Diagnostics;
using System.IO;
using System.Collections.Specialized;

/// <summary>
/// Summary description for DeploymentTrackingModule
/// </summary>
public class DeploymentTrackingModule : IHttpModule
{
   #region IHttpModule Members

   public void Dispose()
   {
   }

   public void Init(HttpApplication app)
   {
      app.AuthorizeRequest += OnAuthorizeRequest;
   }

   #endregion

   private void OnAuthorizeRequest(object sender, EventArgs e)
   {
      // Gather context information
      HttpRequest request = HttpContext.Current.Request;
      string resource = request.Url.ToString();
      NameValueCollection parms = HttpUtility.ParseQueryString(resource);
      string username = parms["username"];
      string password = parms["password"];
      if (username != null && password != null)
      {
         // Log app launch with credentials
         Debug.WriteLine("App launched by " + username + " with password " + password);
      }
   }
}
