using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using CustomAuthorizationSample.AuthSite;

namespace CustomAuthorizationSample
{
   public partial class LoginForm : Form
   {
      public LoginForm()
      {
         InitializeComponent();
      }

      private void OnLogin(object sender, EventArgs e)
      {
         Service serv = new Service();
         if (serv.ValidateUser(m_UsernameTextBox.Text, m_PasswordTextBox.Text))
         {
            DialogResult = DialogResult.OK;
            Close();
         }
         else
         {
            m_ErrorLabel.Visible = true;
         }
      }
   }
}