using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for RoutingHandler
/// </summary>
public class RoutingHandler : IHttpHandler
{
   string betaVersionDeployManifest = "";
	public RoutingHandler()
	{
		//
		// TODO: Add constructor logic here
		//
	}

   #region IHttpHandler Members

   public bool IsReusable
   {
      get { return true; }
   }

   public void ProcessRequest(HttpContext context)
   {
      string resource = request.Url.ToString();
      string fileExtension = Path.GetExtension(resource);
      // Log deployment manifest requests
      if (fileExtension == ".application")
      {
         if (HttpContext.Current.User.IsInRole("BetaTester"))
         {
            HttpContext.Current.Server.Transfer(betaVersionDeployManifest);
         }
      }
   }

   #endregion
}
